class CreatePaperTrailActors < ActiveRecord::Migration<%= migration_version %>
  def change
    create_table :<%= actor_table_name %> do |t|
      t.string :controller_name, index: true
      t.string :action_name, index: true
      t.string :current_url
      t.string :request_method, index: true
      t.text :user_agent
      t.string :ip, index: true
      t.string :is_console, default: 'NO'
      t.string :employee_id, index: true
      t.string :hostname
      t.string :git_user, index: true
      t.string :git_email, index: true
      t.string :git_fingerprint
      t.text :git_ssh_key
      t.timestamps
    end
  end
end
