# PaperTrailActor Main
# @author ToanDP <toandptech@gmail.com>

require "sshkey"
require "terrapin"
require "paper_trail_actor/constants"
require "paper_trail_actor/constants"
require "paper_trail_actor/version"
require "paper_trail_actor/engine"
require "paper_trail_actor/configuration"
require "paper_trail_actor/controller"

module PaperTrailActor
  class << self
    attr_writer :configuration

    def configuration
      @configuration ||= Configuration.new
    end

    def reset
      @configuration = Configuration.new
    end

    def configure
      yield(configuration)
    end
  end
end
